/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "ArrayFire", "index.htm", [
    [ "Overview", "index.htm", null ],
    [ "Configuring ArrayFire Environment", "configuring_environment.htm", [
      [ "Environment Variables", "configuring_environment.htm#environment_variables", [
        [ "AF_PATH", "configuring_environment.htm#af_path", null ],
        [ "AF_PRINT_ERRORS", "configuring_environment.htm#af_print_errors", null ],
        [ "AF_CUDA_DEFAULT_DEVICE", "configuring_environment.htm#af_cuda_default_device", null ],
        [ "AF_ONEAPI_DEFAULT_DEVICE", "configuring_environment.htm#af_oneapi_default_device", null ],
        [ "AF_OPENCL_DEFAULT_DEVICE", "configuring_environment.htm#af_opencl_default_device", null ],
        [ "AF_OPENCL_DEFAULT_DEVICE_TYPE", "configuring_environment.htm#af_opencl_default_device_type", null ],
        [ "AF_OPENCL_DEVICE_TYPE", "configuring_environment.htm#af_opencl_device_type", null ],
        [ "AF_OPENCL_CPU_OFFLOAD", "configuring_environment.htm#af_opencl_cpu_offload", null ],
        [ "AF_OPENCL_SHOW_BUILD_INFO", "configuring_environment.htm#af_opencl_show_build_info", null ],
        [ "AF_DISABLE_GRAPHICS", "configuring_environment.htm#af_disable_graphics", null ],
        [ "AF_SYNCHRONOUS_CALLS", "configuring_environment.htm#af_synchronous_calls", null ],
        [ "AF_SHOW_LOAD_PATH", "configuring_environment.htm#af_show_load_path", null ],
        [ "AF_MEM_DEBUG", "configuring_environment.htm#af_mem_debug", null ],
        [ "AF_TRACE", "configuring_environment.htm#af_trace", null ],
        [ "AF_MAX_BUFFERS", "configuring_environment.htm#af_max_buffers", null ],
        [ "AF_OPENCL_MAX_JIT_LEN", "configuring_environment.htm#af_opencl_max_jit_len", null ],
        [ "AF_CUDA_MAX_JIT_LEN", "configuring_environment.htm#af_cuda_max_jit_len", null ],
        [ "AF_CPU_MAX_JIT_LEN", "configuring_environment.htm#af_cpu_max_jit_len", null ],
        [ "AF_BUILD_LIB_CUSTOM_PATH", "configuring_environment.htm#af_build_lib_custom_path", null ],
        [ "AF_JIT_KERNEL_TRACE", "configuring_environment.htm#af_jit_kernel_trace", null ],
        [ "AF_JIT_KERNEL_CACHE_DIRECTORY", "configuring_environment.htm#af_jit_kernel_cache_directory", null ]
      ] ]
    ] ],
    [ "Debugging ArrayFire Issues", "debugging.htm", null ],
    [ "array with Forge", "forge_visualization.htm", [
      [ "Setup", "forge_visualization.htm#setup", null ],
      [ "Rendering Functions", "forge_visualization.htm#render_func", [
        [ "Image", "forge_visualization.htm#image", null ],
        [ "Plot", "forge_visualization.htm#plot", null ],
        [ "Plot3", "forge_visualization.htm#plot3", null ]
      ] ],
      [ "Conclusion", "forge_visualization.htm#conclusion", null ]
    ] ],
    [ "Getting Started", "gettingstarted.htm", [
      [ "Supported data types", "gettingstarted.htm#gettingstarted_datatypes", null ],
      [ "Creating and populating an ArrayFire array", "gettingstarted.htm#getting_started_af_arrays", null ],
      [ "ArrayFire array contents, dimensions, and properties", "gettingstarted.htm#getting_started_array_properties", null ],
      [ "Writing mathematical expressions in ArrayFire", "gettingstarted.htm#getting_started_writing_math", null ],
      [ "Mathematical constants", "gettingstarted.htm#getting_started_constants", null ],
      [ "Indexing", "gettingstarted.htm#getting_started_indexing", null ],
      [ "Getting access to ArrayFire array memory on the host and device", "gettingstarted.htm#getting_started_memory_access", null ],
      [ "Bitwise operators", "gettingstarted.htm#getting_started_bitwise_operators", null ],
      [ "Using the ArrayFire API in C and C++", "gettingstarted.htm#gettingstarted_api_usage", null ],
      [ "What to read next?", "gettingstarted.htm#getting_started_next_steps", null ],
      [ "Where to go for help?", "gettingstarted.htm#getting_started_help", null ]
    ] ],
    [ "GFOR: Parallel For-Loops", "page_gfor.htm", [
      [ "Introduction", "page_gfor.htm#gfor_intro", null ],
      [ "Usage", "page_gfor.htm#gfor", [
        [ "User Functions called within GFOR", "page_gfor.htm#gfor_user_functions", null ],
        [ "The Iterator", "page_gfor.htm#gfor_iterator", null ],
        [ "Subscripting", "page_gfor.htm#gfor_subscripting", null ],
        [ "In-Loop Reuse", "page_gfor.htm#gfor_in_loop", null ],
        [ "In-Place Computation", "page_gfor.htm#gfor_in_place_computation", null ],
        [ "Random Data Generation", "page_gfor.htm#gfor_random", null ]
      ] ],
      [ "Restrictions", "page_gfor.htm#gfor_restrictions", [
        [ "Iteration independence", "page_gfor.htm#gfor_iteration_independence", null ],
        [ "No conditional statements", "page_gfor.htm#gfor_no_cond", null ],
        [ "Nested loop restrictions", "page_gfor.htm#gfor_nested_loop", null ],
        [ "No logical indexing", "page_gfor.htm#gfor_no_logical", null ]
      ] ],
      [ "Memory considerations", "page_gfor.htm#gfor_memory", null ]
    ] ],
    [ "Indexing", "indexing.htm", null ],
    [ "ArrayFire Installer", "installing.htm", [
      [ "Install Instructions", "installing.htm#InstallInstructions", [
        [ "Windows", "installing.htm#Windows", null ],
        [ "Linux", "installing.htm#Linux", null ],
        [ "macOS", "installing.htm#macOS", null ]
      ] ]
    ] ],
    [ "Interoperability with CUDA", "interop_cuda.htm", null ],
    [ "Interoperability with OpenCL", "interop_opencl.htm", null ],
    [ "ArrayFire JIT Code Generation", "jit.htm", null ],
    [ "Array and Matrix Manipulation", "matrixmanipulation.htm", null ],
    [ "Release Notes", "releasenotes.htm", null ],
    [ "Timing ArrayFire Code", "timing.htm", null ],
    [ "Tutorials", "tutorials.htm", null ],
    [ "Unified Backend", "unifiedbackend.htm", null ],
    [ "Using ArrayFire on Linux", "using_on_linux.htm", [
      [ "The big picture", "using_on_linux.htm#big-picture-linux", null ]
    ] ],
    [ "Using ArrayFire on OSX", "using_on_osx.htm", [
      [ "The big picture", "using_on_osx.htm#big-picture-osx", null ],
      [ "CMake", "using_on_osx.htm#CMake", null ],
      [ "Makefiles", "using_on_osx.htm#Makefiles", null ]
    ] ],
    [ "Using ArrayFire with Microsoft Windows and Visual Studio", "using_on_windows.htm", [
      [ "The big picture", "using_on_windows.htm#big-picture-windows", null ],
      [ "Build and Run Helloworld", "using_on_windows.htm#section1", [
        [ "Using CMake", "using_on_windows.htm#section1part1", null ],
        [ "Using Visual Studio", "using_on_windows.htm#section1part2", null ]
      ] ],
      [ "Using ArrayFire within Existing Visual Studio Projects", "using_on_windows.htm#section2", [
        [ "Part A: Adding ArrayFire to an existing solution (Single Backend)", "using_on_windows.htm#section2partA", null ],
        [ "Part B: Adding ArrayFire CUDA to a new/existing CUDA project", "using_on_windows.htm#section2partB", [
          [ "Part C: Project with all ArrayFire backends", "using_on_windows.htm#section2partC", null ]
        ] ]
      ] ]
    ] ],
    [ "Introduction to Vectorization", "vectorization.htm", null ],
    [ "algorithm", "batch_detail_algo.htm", null ],
    [ "arith_real", "arith_real_only.htm", null ],
    [ "arith_int", "arith_int_only.htm", null ],
    [ "HSV", "image_func_hsv.htm", null ],
    [ "RGB", "image_func_rgb.htm", null ],
    [ "GRAY", "image_func_gray.htm", null ],
    [ "YCbCr", "image_func_ycbcr.htm", null ],
    [ "Convolution", "signal_func_conv_desc.htm", null ],
    [ "fft", "signal_func_fft_desc.htm", null ],
    [ "statistics", "batch_detail_stat.htm", null ],
    [ "Deprecated List", "deprecated.htm", null ],
    [ "Topics", "topics.htm", "topics" ],
    [ "Namespaces", "namespaces.htm", [
      [ "Namespace List", "namespaces.htm", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.htm", [
        [ "All", "namespacemembers.htm", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.htm", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.htm", null ],
        [ "Typedefs", "namespacemembers_type.htm", null ]
      ] ]
    ] ],
    [ "Data Structures", "annotated.htm", [
      [ "Data Structures", "annotated.htm", "annotated_dup" ],
      [ "Data Structure Index", "classes.htm", null ],
      [ "Class Hierarchy", "hierarchy.htm", "hierarchy" ],
      [ "Data Fields", "functions.htm", [
        [ "All", "functions.htm", "functions_dup" ],
        [ "Functions", "functions_func.htm", "functions_func" ],
        [ "Variables", "functions_vars.htm", null ],
        [ "Typedefs", "functions_type.htm", null ],
        [ "Enumerator", "functions_eval.htm", null ],
        [ "Related Symbols", "functions_rela.htm", null ]
      ] ]
    ] ],
    [ "Files", "files.htm", [
      [ "File List", "files.htm", "files_dup" ],
      [ "Globals", "globals.htm", [
        [ "All", "globals.htm", "globals_dup" ],
        [ "Functions", "globals_func.htm", "globals_func" ],
        [ "Variables", "globals_vars.htm", null ],
        [ "Typedefs", "globals_type.htm", null ],
        [ "Enumerations", "globals_enum.htm", null ],
        [ "Enumerator", "globals_eval.htm", null ],
        [ "Macros", "globals_defs.htm", null ]
      ] ]
    ] ],
    [ "Examples", "examples.htm", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"algorithm_8h.htm",
"classaf_1_1event.htm#a2f2a57de7572f241721cb967c9eac2ed",
"defines_8h.htm#a82b94dc53bbd100a0e8ca9dd356aaf4fa3b91230dc7cb6fc1b1386a0ea4877a5b",
"globals_l.htm",
"group__arith__func__bitand.htm#ga76ea6c4c4ee98c67ff96e265ed3fb184",
"group__arith__func__div.htm#ga3137698adb83cfeac70e9a63775e2d0c",
"group__arith__func__gt.htm#ga8fb62594eab33b3a4bd1739234d680cc",
"group__arith__func__mod.htm#ga1caf444dbf4cdd9586ad5f4d2d255ef4",
"group__arith__func__or.htm#gaa4e902faf28e693f0853cc3a1e19cef7",
"group__arith__func__sub.htm#ga2daba7834155724d3db73005e56c68a8",
"group__array__mem__operator__plus__eq.htm#ga82a4ed51883ff103c5919e73830059d8",
"group__data__func__identity.htm#gad3926bd0cc95d19a11500102a2f30cd9",
"group__device__func__sync.htm#gac00a7a1be8e2e6ca4170e8160fa32bdf",
"group__image__func__regions.htm",
"group__lapack__solve__lu__func__gen.htm#gaf67856876581d98e4c3b7a6f0cfa7c88",
"group__reduce__func__any__true.htm#ga2a78d325553b41c5f0e1fd95866234ff",
"group__signal__func__convolve1.htm#ga1a449d2cabca4e112747d21d8775d1cd",
"group__stat__func__cov.htm#ga12dd2a18c4d7513259ce56f80864d913",
"macros_8h.htm",
"structaf_1_1af__cfloat.htm#add94d585be4b8a725d3a4cd3fabb7f98"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';